# eric5.Plugins.VcsPlugins.vcsMercurial.HgSummaryDialog

Module implementing a dialog to show some summary information of the working directory state.

### Global Attributes

None

### Classes

HgSummaryDialog | Class implementing a dialog to show some summary information of the working directory state.

### Functions

None

## HgSummaryDialog

Class implementing a dialog to show some summary information of the working directory state.

### Derived from

QDialog, Ui_HgSummaryDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgSummaryDialog | Constructor
__committed | Private slot called after the commit has finished.
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__processOutput | Private method to process the output into nice readable text.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the status display.
start | Public slot to start the hg summary command.

### Static Methods

None

#### HgSummaryDialog (Constructor)

HgSummaryDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgSummaryDialog.__committed

__committed()

Private slot called after the commit has finished.

#### HgSummaryDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgSummaryDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgSummaryDialog.__processOutput

__processOutput(output)

Private method to process the output into nice readable text.

output
  output from the summary command (string)

#### HgSummaryDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### HgSummaryDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### HgSummaryDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgSummaryDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgSummaryDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgSummaryDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### HgSummaryDialog.start

start(path, mq=False, largefiles=False)

Public slot to start the hg summary command.

path
  path name of the working directory (string)
mq
  flag indicating to show the queue status as well (boolean)
largefiles
  flag indicating to show the largefiles status as well (boolean)

Up